#include<bits/stdc++.h>
using namespace std;
void add(int u,int v){
	static int cnt=1;
	to[cnt]=v;
	nxt[cnt]=head[u];
	head[u]=++cnt;
}
void dfs(int u,int fa){
	dep[u]=dep[fa]+1;
	for(int i=head[u];i;i=nxt[i])
		if(to[i]!=fa)
			dfs(to[i],u);
}
int main(){
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	scanf("%d",&n);
	for(int i=0;i<n-1;++i){
		scanf("%d%d",&u,&v);
		add(u,v),add(v,u);
	}
	dep[1]=1;
	dfs(1,0);
	scanf("%d",&q);
	for(int i=0;i<n;++i){
		scanf("%d%d%d",&l,&r,&k);
		printf("%d",)
	}
} 
